<template>
	<SVGIcon :fill="fill" :xlink="xlink" :rotate="Number(rotate)" :view-box="viewBox"></SVGIcon>
</template>

<script>
	import SVGIcon from '@/components/SVGIcon'
	export default {
		name: 'ui-icon',
		components: {
			SVGIcon
		},
		props: {
			/**
			 * Угол ротации иконки
			 */
			rotate: {
				type: [Number, String],
				required: false,
				default: 0
			},

			fill: {
				required: false,
				type: String,
				default: ''
			},

			viewBox: {
				type: String,
				required: false,
				default: '0 0 20 20'
			}
		},
		created () {

		},

		computed: {
			xlink () {
				return this.$slots.default.map(vnode => vnode.text).join('');
			}
		}
	};
</script>

<style scoped>

</style>
